"use client";
import { useEffect } from "react";
import { ICON_VERSION } from "@/components/main/BaseUrl";

export default function RegisterSW() {
  useEffect(() => {
    if ("serviceWorker" in navigator) {
      navigator.serviceWorker
        .register(`/service-worker.js?v=${ICON_VERSION}`)
        .then(() => {
          console.log("Service Worker Registered!");
        });
    }
  }, []);

  return null; // این کامپوننت هیچ UI نداره، فقط Service Worker رو ثبت می‌کنه.
}
